org.keycloak.models.jpa

## Class JpaDeploymentStateProviderFactory

- java.lang.Object
- - org.keycloak.models.jpa.JpaDeploymentStateProviderFactory

- All Implemented Interfaces:
    DeploymentStateProviderFactory, ProviderFactory<DeploymentStateProvider>

      public class JpaDeploymentStateProviderFactory
      extends Object
      implements DeploymentStateProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaDeploymentStateProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `DeploymentStateProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `int` | `order()`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaDeploymentStateProviderFactory

          public JpaDeploymentStateProviderFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<DeploymentStateProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<DeploymentStateProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<DeploymentStateProvider>`

    - #### create

          public DeploymentStateProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<DeploymentStateProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<DeploymentStateProvider>`

    - #### order

          public int order()

      Specified by:
        `order` in interface `ProviderFactory<DeploymentStateProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.